	{% include "admin/header.html" %}
	
		<div class="admin-content">
			<div class="newprogram">
				<div class="container">
					<div class="title">
						TAMBAH DONATUR BARU
					</div>
					{% if error %}
						<div class="alert alert-danger alert-dismissible" role="alert">
						<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Terdapat kesalahan dalam pengisian sebagai berikut :
						<ul>
							{% for item in error %}
							<li>{{ item }}</li>
							{% endfor %}
						</ul>
						</div>
					{% endif %}

					<form action="" class="form-horizontal" role="form" method="post" enctype="multipart/form-data">{% csrf_token %}

						<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Proyek</label>
					    	<div class="col-sm-10">
							    <select name="program" class="form-control" required>
							    	{% for prg in program %}
							    	<option value="{{ prg.id }}" {% if prg.id == programId %}selected{% endif %}> {{ prg.nama }} </option>
							    	{% endfor %}
							    </select>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Nama Donatur</label>
					    	<div class="col-sm-10">
					      		<input type="text" class="form-control" name="nama" id="" placeholder="Nama Donatur" value="{{ nama }}" required>
					    	</div>
					  	</div>

					  	<div class="form-group">
					  		
					    	<label for="" class="col-sm-2 control-label">Bentuk Donasi</label>

					    	<div class="div-item col-sm-10" id="uang">
						    	<div class="col-sm-2">
						      		<input type="checkbox" id="show_uang" name="kirim1" value="1"> Uang 
						    	</div>
					    	</div>
					  	</div>

					  	
					  	<div class="form-group">
					  		
					    	<label for="" class="col-sm-2 control-label"></label>
					    	<div class="div-item col-sm-10" id="buku">
					    		<div class="col-sm-2">
						      		 <input type="checkbox" id="show_buku" name="kirim" value="2"> Buku
						    	</div>
						    </div>
					  	</div>

					  	<div class="form-group" id="nama_bank">
					    	<label for="" class="col-sm-2 control-label"><i>Bank</i></label>
					    	<div class="col-sm-10">
					      		<input type="text" class="form-control" name="nama_bank" id="" placeholder="Nama Bank" value="{{ nama }}" required>
					    	</div>
					  	</div>

						<div class="form-group" id="via">
					    	<label for="" class="col-sm-2 control-label"><i>Via</i></label>
					    	<div class="col-sm-10">
					      		<input type="text" class="form-control" name="via" id="" placeholder="Nama Pemilik Rekening Bank" value="{{ nama }}" required>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="inputPassword3" class="col-sm-2 control-label" >E-Mail</label>
					    	<div class="col-sm-10">
					    		<input type="email" name="email" class="form-control" placeholder="Email Donatur" value="{{ email }}" required>
					    		<p class="help-block">Contoh : email@example.com</p>
					    	</div>

					  	</div>

                        <div class="form-group">
                          <label for="inputPassword3" class="col-sm-2 control-label" >No. Handphone</label>
                          <div class="col-sm-10">
                          	<div class="input-group">
	                            <div class="input-group-addon">+62</div>
	                            <input type="text" name="nohp" class="form-control" id="exampleInputAmount" value="{{nohp}}" placeholder="" required>
	                        </div>
                          	<p class="help-block">Tulis tanpa '0' didepannya (contoh : 82232120000)</p>
                          </div>
                        </div>

					  	<div class="form-group">
					    	<label for="inputPassword3" class="col-sm-2 control-label">Bukti Transfer</label>
					    	<div class="col-sm-10 div-gambar">
					    		<input type="file" class="form-control" name="buktitransfer" id="" placeholder="" required>
					    		<p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<button type="submit" class="btn btn-primary">Tambah Donatur</button>
					    	</div>
					  	</div>
					</form>
				</div>
			</div>
		</div>
		{% load static %}
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
</body>
<script>
$(document).ready(function(){
    var flag_uang = true;
    var flag_buku = true;
	$("#jumlah_uang").hide();
	$("#jumlah_buku").hide();
	$("#nama_bank").hide();
	$("#via").hide();
  $("#show_uang").click(function(){
  	if(flag_uang){
  		flag_uang = false;
  		$('#uang').append('<div class="col-sm-6" id="jumlah_uang"><input type="text" class="form-control" name="uang"  placeholder="Jumlah Uang" value="{{ nama }}" required><p class="help-block">Contoh : 100000</p><input type="text" class="form-control" name="nama_bank" id="" placeholder="Nama Bank" value="{{ nama }}" required><br><input type="text" class="form-control" name="via" id="" placeholder="Nama Pemilik Rekening Bank" value="{{ nama }}"required></div>');

  	}
  	else {
  		flag_uang = true;
		$('#jumlah_uang').remove();
  	}
  });
  $("#show_buku").click(function(){
    if(flag_buku){
  		flag_buku = false;
  		$('#buku').append('<div class="col-sm-6" id="jumlah_buku"><input type="text" class="form-control" name="buku" placeholder="Keterangan Buku" value="{{ nama }}" required><p class="help-block">Contoh : ' + 'Buku Satu Kardus' + '</p></div>');	
  	}
  	else {
  		flag_buku = true;
  		$("#jumlah_buku").remove();
  	}
  });

  $("#emailselect").click(function() {


    var str = "";

    $( "#emailselect option:selected" ).each(function() {
	    str = str + $( this ).text() + ";";	
    });
	
	$("#alamat_email").val(str);    

  });
});
</script>
</html>